--- res_monitor.c	2007-09-28 06:42:03.000000000 -0400
+++ res_monitor_patch.c	2007-09-28 06:44:20.000000000 -0400
@@ -247,6 +247,13 @@
 	}
 
 	UNLOCK_IF_NEEDED(chan, need_lock);
+	
+	manager_event(EVENT_FLAG_CALL, "MonitorStart",
+                        "Channel: %s\r\n"
+                        "Uniqueid: %s\r\n",                        
+                        chan->name,
+                        chan->uniqueid                        
+                        );
 
 	return res;
 }
@@ -352,6 +359,13 @@
 	}
 
 	UNLOCK_IF_NEEDED(chan, need_lock);
+	
+	manager_event(EVENT_FLAG_CALL, "MonitorStop",
+                        "Channel: %s\r\n"
+                        "Uniqueid: %s\r\n",
+                        chan->name,
+                        chan->uniqueid
+                        );
 
 	return 0;
 }
